Entrar

Crear u obtener ref de Seller

POST https://{organization}.myguper.com/api/catalog/{interface}/seller

Find-or-create: si un ref con ese refId ya existe para la interface, retorna la entidad vinculada (no-op, _created: false). Si no, crea nueva entidad con el name dado Y el ref externo apuntando a ella (_created: true). Idempotente en retry.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "refId": "VTEX-NIKE-001",
    "name": "Nike"
}

Respuestas

{"id":42,"name":"Nike","_ref":{"source":"vtex","refId":"VTEX-NIKE-001"},"_created":true}
Copied to clipboard